## org.opengis.filter.capability
Interface SpatialCapabilities

    public interface SpatialCapabilities

Capabilities used to convey supported spatial operators.

      <xsd:complexType name="Spatial_CapabilitiesType">
         <xsd:sequence>
            <xsd:element name="GeometryOperands"
                        type="ogc:GeometryOperandsType"/>
            <xsd:element name="SpatialOperators"
                         type="ogc:SpatialOperatorsType"/>
         </xsd:sequence>
      </xsd:complexType>

Method Summary
`GeometryOperand[]` `getGeometryOperands()` Supported geometry operands.
`SpatialOperators` `getSpatialOperators()` Supported spatial operators.

Method Detail

### getGeometryOperands

    GeometryOperand[] getGeometryOperands()

  Supported geometry operands.

       <xsd:element name="GeometryOperands" type="ogc:GeometryOperandsType"/>

### getSpatialOperators

    SpatialOperators getSpatialOperators()

  Supported spatial operators.

       <xsd:element name="SpatialOperators" type="ogc:SpatialOperatorsType"/>

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.